Package org.eclipse.m2m.atl.engine.vm

# Class NativeStackFrame

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.StackFrame
org.eclipse.m2m.atl.engine.vm.NativeStackFrame

public class NativeStackFrame extends StackFrame

## Field Summary

Fields
Modifier and Type
Field
Description
`static ASMOclType`
`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.StackFrame

`debugger`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`NativeStackFrame(ExecEnv execEnv, NativeOperation operation, List args)`

## Method Summary

Modifier and Type
Method
Description
`ASMOclAny`
`getRet()`
`ASMOclAny`
`leaveFrame()`
`void`
`setRet(ASMOclAny ret)`
`String`
`toString()`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.StackFrame

`enterFrame, getArgs, getExecEnv, getModel, getModels, getOperation, getOpName, getParent, getStack, printStackTrace, printStackTrace, printStackTrace, printStackTrace, setParent`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### myType

public static ASMOclType myType

## Constructor Details

### NativeStackFrame

public NativeStackFrame(ExecEnv execEnv, NativeOperation operation, List args)

## Method Details

### leaveFrame

public ASMOclAny leaveFrame()

Overrides:
  `leaveFrame` in class `StackFrame`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### setRet

public void setRet(ASMOclAny ret)

### getRet

public ASMOclAny getRet()